Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QImageDrag Class Reference

The QImageDrag class provides a drag and drop object for transferring images. More...

`#include <qdragobject.h>`

Inherits QDragObject.

List of all member functions.

## Public Members

- QImageDrag ( QImage image, QWidget * dragSource = 0, const char * name = 0 )
- QImageDrag ( QWidget * dragSource = 0, const char * name = 0 )
- ~QImageDrag ()
- virtual void setImage ( QImage image )

## Static Public Members

- bool canDecode ( const QMimeSource * e )
- bool decode ( const QMimeSource * e, QImage & img )
- bool decode ( const QMimeSource * e, QPixmap & pm )

## Detailed Description

The QImageDrag class provides a drag and drop object for transferring images.

Images are offered to the receiving application in multiple formats, determined by Qt's output formats.

For more information about drag and drop, see the QDragObject class and the drag and drop documentation.

See also Drag And Drop Classes.

## Member Function Documentation

### QImageDrag::QImageDrag ( QImage image, QWidget * dragSource = 0, const char * name = 0 )

Constructs an image drag object and sets its data to image. dragSource must be the drag source; name is the object name.

### QImageDrag::QImageDrag ( QWidget * dragSource = 0, const char * name = 0 )

Constructs a default image drag object. dragSource must be the drag source; name is the object name.

### QImageDrag::~QImageDrag ()

Destroys the image drag object and frees up all allocated resources.

### bool QImageDrag::canDecode ( const QMimeSource * e )`[static]`

Returns TRUE if the information in mime source e can be decoded into an image; otherwise returns FALSE.

See also decode().

### bool QImageDrag::decode ( const QMimeSource * e, QImage & img )`[static]`

Attempts to decode the dropped information in mime source e into img. Returns TRUE if successful; otherwise returns FALSE.

See also canDecode().

### bool QImageDrag::decode ( const QMimeSource * e, QPixmap & pm )`[static]`

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Attempts to decode the dropped information in mime source e into pixmap pm. Returns TRUE if successful; otherwise returns FALSE.

This is a convenience function that converts to a QPixmap via a QImage.

See also canDecode().

### void QImageDrag::setImage ( QImage image )`[virtual]`

Sets the image to be dragged to image. You will need to call this if you did not pass the image during construction.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.